Package org.eclipse.jface.text.contentassist

## Interface ICompletionProposalExtension6

    public interface ICompletionProposalExtension6

Extends `ICompletionProposal` with the following function:

- Allow styled ranges in the display string.

Since:
  3.4

### Method Summary

All Methods Instance Methods Abstract Methods
`StyledString` `getStyledDisplayString()` Returns the styled string used to display this proposal in the list of completion proposals.

### Method Detail

#### getStyledDisplayString

    StyledString getStyledDisplayString()

Returns the styled string used to display this proposal in the list of completion proposals. This can for example be used to draw mixed colored labels.

Note: `ICompletionProposal.getDisplayString()` still needs to be correctly implemented as this method might be ignored in case of uninstalled owner draw support. If `ICompletionProposalExtension7` is implemented by this proposal then instead of using this method, the result from `ICompletionProposalExtension7.getStyledDisplayString(org.eclipse.jface.text.IDocument, int, BoldStylerProvider)` is used to display the proposal.

Returns:
  the string builder used to display this proposal